CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
csl::CVariable Class Reference

CVariable is the the abstract external variable (plug or port) class. This is the abstract class for static and dynamic variables; it's a sample stream. Clients of Variable (oscillators, dsp units, etc) first ask whether its values are fixed over the length of the buffer or not. If the value is fixed, the client calls next_sample() to get the next sample and use it the DSP loop. If the value is not fixed, the client calls next_buffer() to get the next buffer of values. More...

`#include <Variable.h>`

Inheritance diagram for csl::CVariable:

List of all members.

## Public Member Functions
| CVariable ()
| Constructors.
| CVariable (float tvalue)
float | value ()
| Accessors.
void | setValue (float x)
void | setValue (int x)
void | setValue (double x)

## Protected Attributes
float | mValue
| the value I represent

## Detailed Description

CVariable is the the abstract external variable (plug or port) class. This is the abstract class for static and dynamic variables; it's a sample stream. Clients of Variable (oscillators, dsp units, etc) first ask whether its values are fixed over the length of the buffer or not. If the value is fixed, the client calls next_sample() to get the next sample and use it the DSP loop. If the value is not fixed, the client calls next_buffer() to get the next buffer of values.

Definition at line 29 of file Variable.h.

## Constructor & Destructor Documentation

csl::CVariable::CVariable | ( |  | ) |
| inline

Constructors.

Definition at line 35 of file Variable.h.

csl::CVariable::CVariable | ( | float | tvalue | ) |
| inline

Definition at line 36 of file Variable.h.

## Member Function Documentation

float csl::CVariable::value | ( |  | ) |
| inline

Accessors.

Reimplemented in csl::StaticVariable.

Definition at line 38 of file Variable.h.

References mValue.

Referenced by csl::StaticVariable::value().

void csl::CVariable::setValue | ( | float | x | ) |
| inline

Reimplemented in csl::DynamicVariable, and csl::StaticVariable.

Definition at line 39 of file Variable.h.

References mValue.

void csl::CVariable::setValue | ( | int | x | ) |
| inline

Reimplemented in csl::DynamicVariable, and csl::StaticVariable.

Definition at line 40 of file Variable.h.

References mValue.

void csl::CVariable::setValue | ( | double | x | ) |
| inline

Reimplemented in csl::DynamicVariable, and csl::StaticVariable.

Definition at line 41 of file Variable.h.

References mValue.

## Member Data Documentation

float csl::CVariable::mValue
| protected

the value I represent

Definition at line 32 of file Variable.h.

Referenced by setValue(), and value().

The documentation for this class was generated from the following file:

- CSL/Utilities/Variable.h